package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.stati.AcceStatistics;

import java.util.List;

/**
 *  访问统计接口
 * @author xm
 * @Date 2019-04-25
 */
public interface AcceStatisticsMapper {
    /**
     * 获取集合
     * @param  acceStatistics
     * @return List
     */
    List<AcceStatistics> getAcceStatisticsList(AcceStatistics  acceStatistics);
    /**
     * 查询单条数据
     * @param  id
     * @return  acceStatistics
     */
    AcceStatistics  getAcceStatisticsById(Integer  id);
    /**
     * 增加数据
     * @param  acceStatistics
     * @return Integer
     */
    Integer  save(AcceStatistics  acceStatistics);
    /**
     * 修改数据
     * @param  acceStatistics
     * @return Integer
     */
    Integer  update(AcceStatistics  acceStatistics);
    /**
     * 获取该用户在0点-24点之前是否已经添加过
     * @param  acceStatistics
     * @return Integer
     */
    Integer  getAcceStatiCount(AcceStatistics  acceStatistics);

}